KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase bootstrap-token - Generates bootstrap tokens used to join a node to a cluster

SYNOPSIS
kubeadm init phase bootstrap-token [OPTIONS]

DESCRIPTION
Bootstrap tokens are used for establishing bidirectional trust between a node joining the cluster and a control-plane node.

This command makes all the configurations required to make bootstrap tokens works and then creates an initial token.

OPTIONS
--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--skip-token-print=false
    Skip printing of the default bootstrap token generated by 'kubeadm init'.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Make all the bootstrap token configurations and create an initial token, functionally
      # equivalent to what generated by kubeadm init.
      kubeadm init phase bootstrap-token

SEE ALSO
kubeadm-init-phase(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!